//===========================================================================
//
// Name:			snoopy_c.c
// Function:		chat lines for snoopy
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Author:		_Goatman_
// Last update:		May 21, 2000
// Tab Size:		3 (real tabs)
//===========================================================================

//example initial chats
chat "snoopy"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================
	type "game_enter" //initiated when the bot enters the game
	{
		"For all the lonely dogs!";
		"I'm looking for warrior dogs!";
		"Wow ... ", 4, "? What a ", adj, " place.";
		// 4 = Level's title
		// 1 = Random opponent
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Crap.";
		"I'm never gonna make a difference...";
		"I'll be back after ", 1, " come's up with a plan.";
		GOODBYE;
		GOODBYE4;
		// 1 = random opponent
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"And again.";
		"I'm gonna make a difference this time!";
		"Ok, ok.  Let's go for real now, ", 1, "!";
		LEVEL_START2;
		// 1 = Random opponent
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Hey ", 3, ". I thought you said you were a warrior bug?";
		"If ", 2, "could just squish me, that would be great.";
		"I'm beginning to think nothing I do ever works.";
		// 2 = opponent in first place
		// 3 = opponent in last place
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"To inifinity and beyond!";
		"That was for the colony, the next will be for oppressed ants everywhere!";
		"If only Hopper was here to see that!";
		"If only Princess Ana was here to see that!";
		"Wallah!";
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"I didn't mean for things to go so wrong.";
		"I will be branded with this mistake for the rest of my life.";
		"I'm desperate!!";
		"Okay, ", 2, ", let's go for real next time!";
		LEVEL_END_LOSE2;
		LEVEL_END_LOSE1;
		// 0 = bot name
		// 2 = opponent in first place
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"Hey, ", 0, "! Do you mind? I was chattin' with some warrior bugs!";
		"Bug off, ", 0, "!  Can't you see I'm talking here?!";
		"Make like a grasshopper, ", 0, ", and pick on someone who won't fight back!";
		//0 = shooter
	} //end type
	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Oooh, you're vicious, ", 0, "!";
		"Ah hah... ah hahaha...";
		"Ow! That hurt, ", 0, "!";
		"Oooh, ", 0, ".  Is a ", 1, "all you got?";
		"I'm as good as dead...";
		//0 = shooter
		// 1 = weapon used by shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"Eat this, ", 0, "!?";
		0, "ain't nothin' but a circus bug";
		TAUNT;
		PRAISE2;
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"How'd you do that, ", 0, "? You move like they do.";
		DEATH_TELEFRAGGED2;
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"I was an accident.";
		"Hrm, I wish I was in a fake bird right now.";
		"Help me?";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"No one told me there would be lava.";
		"This exoskeleton isn't what's it's cracked up to be.";
		"I thought it was strawberry jelly... mmmm.";
		DEATH_LAVA0;
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
		"No one told me there would be slime.";
		"I thought it was lemon-lime koolaid... mmmm.";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Ants are supposed to float.";
		"I can lift ten times my own weight, but I can't swim.";
		DEATH_DROWN1;
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{  
		"It was an accident... ?";
		"Ooo, this gun is big.";
		"I didn't mean for things to go so wrong...";
		DEATH_SUICIDE3;
		DEATH_SUICIDE4;
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Ouch, that things sharp!";
		"Woah! You're vicious!";
		"Kind of reminds me of my seed collecter.";
		DEATH_GAUNTLET0;
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"I'm beginning to think nothing works.";
		"Ouch ", 0, ". That ", 1, " went right through my exoskeleton...";
		DEATH_RAIL1;
		// 0 = enemy name
		// 1 = weapon used by shooter
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"BFG? Is that Big Fricken Grasshopper?";
		"Put that thing away and fight like a real bug!";
		"Scared to fight me bug to bug?";
		DEATH_BFG1;
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Ease up ", 0, ". Alright?";
		"Go back to the circus where you came from, ", 0, ".";
		"Ack, you broke my antenna!";
		DEATH_INSULT2;
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"Wow, ", 0, "'s meaner than a grasshopper!";
		"If you were a bug, ", 0, ", you'd definitely be a grasshopper!";
		D_PRAISE1;
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Finally, ", 0, ". I'm making a difference!";
		"Go back to the circus, ", 0, "!";
		"Too bad you don't have an exoskeleton!";
		KILL_RAIL0;
		// 0 = enemy name
		// 1 = weapon used by shooter
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"I could use this to chop down stalks and collect the seeds.";
		"If you had antenna, I'd make them into a necklace to show the colony.";
		KILL_GAUNTLET1;
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"How's that for a plan, ", 0, "?!";
		"I told you I'd make a difference!";
		TELEFRAGGED2;
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self
	{
		"Going back to the circus, ", 0, "?";
		"What's the matter, ", 0, "? Scared of a warrior bug like me?";
		"Woah, ", 0, "! What'd you do that for?";
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"Maybe you need antenna, ", 0, ", so you'll know where you're going.";
		"Thanks to my exoskeleton, I'm invicible!";
		KILL_INSULT3;
		KILL_INSULT6;
		// 0 = enemy name
	} //end type



	type "kill_praise" //praise initiated when the bot killed someone
	{
		"Woah ... ", 0, " is a warrior bug.";
		"How could everything go so wrong?";

		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"I'm still looking for some warrior dogs...";
		MISC10;
		MISC12;
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 4 = Level's Title
		// 5 = random weapon from weapons list
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"Don't worry, ", 0, ", the colony is in good hands!";
		"I thought you said you were all warrior dogs?!";
		"If ", 0, " could just squish me, that would be great";
		"I'm as good as dead...";
		MISC2;
		one_liners;
		// 0 = name of randomly chosen player
		// 1 = bot name
		// 5 = random weapon from weapon list
	} //end type
} //end snoopy chat


